For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at the same URL with .md appended (or via Accept: text/markdown).
Skip to main content

getdifficulty

Returns the proof-of-work difficulty, as a multiple of the minimum difficulty. This method uses 80 credits from your daily balance.

Parameters​

None

Returns​

result: (number) - Current proof-of-work difficulty.

Request​

curl https://bitcoin-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "id": 1, "method": "getdifficulty", "params": []}'

Response​

{
"jsonrpc": "2.0",
"id": 1,
"result": 133759191625814.6
}